# TTS V1

- [TTS Stream Socket V1](https://dataqueue.gitbook.io/voicehub-docs/api-reference/tts-v1/tts-stream-socket-v1.md): The TTS Stream WebSocket provides real-time text-to-speech synthesis by streaming text to the server and receiving synthesized PCM audio chunks as they are generated.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://dataqueue.gitbook.io/voicehub-docs/api-reference/tts-v1.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
